import request from '../utils/request'

// 获取积分列表
export function getUserPointInfoData(params) {
  return request({
    url: '/getUserPointInfo',
    method: 'get',
    params: params,
  })
}


// 查询用户积分变更
export function coreUserPointChangeData(params) {
  return request({
    url: '/core/UserPointChange/current/user/list',
    method: 'get',
    params: params,
  })
}

// .查询用户字典表
export function syStemDictList() {
  return request({
    url: '/system/dict/data/list',
    method: 'get',
    params: {
      pageNum: 1,
      pageSize: 10,
      dictType: 'user_point_change_change_type',
    },
  })
}

